package main

import (
	pb "gitea.boner.be/bdnugget/goonserver/actions"
	rl "github.com/gen2brain/raylib-go/raylib"

	time "time"
)

type Tile struct {
	X, Y     int
	Height   float32
	Walkable bool
}

type Player struct {
	PosActual             rl.Vector3
	PosTile               Tile
	TargetPath            []Tile
	ActionQueue           []*pb.Action
	Speed                 float32
	Model                 rl.Model
	Texture               rl.Texture2D
	ID                    int32
	CurrentTick           int64
	LastUpdateTime        time.Time
	InterpolationProgress float32
}
